curl --request GET \
--url https://api.nlbs.ai/analyses/{analysis_uuid}/snapshotimport requests
url = "https://api.nlbs.ai/analyses/{analysis_uuid}/snapshot"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/analyses/{analysis_uuid}/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot": {
"base_graph": {
"root_entity_id": 123,
"edges": [
{}
],
"limitations": [
{
"code": "<string>",
"message": "<string>",
"details": {},
"entity_id": 1
}
],
"nodes": [
{}
],
"paths": [
{
"depth": 123,
"root_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"target_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
{
"canonical_id": 123,
"label": "Entity"
}
],
"path_id": "",
"truncated": false
}
],
"truncated": false
},
"subject_entity_id": 123,
"administrative_proceedings": {},
"beneficial_ownerships": {},
"candidate_graph_paths": [
{
"depth": 123,
"root_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"target_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
{
"canonical_id": 123,
"label": "Entity"
}
],
"path_id": "",
"truncated": false
}
],
"capital_history": {},
"coverage": null,
"criminal_affiliation_assessments": {},
"data": {
"requested_entity_ids_by_domain": {},
"requested_signal_codes_by_domain": {}
},
"data_freshness": [
{
"domain": "<string>",
"records_found": true,
"source_collected_at": "2023-11-07T05:31:56Z",
"source_updated_at": "2023-11-07T05:31:56Z"
}
],
"electoral_campaign_donations": {},
"entities": {},
"federal_active_debts": {},
"fiscal_incentives": {},
"fund_assignors": {},
"jurisdiction_risks": [
{
"id": 123,
"jurisdiction_name": "<string>",
"normalized_jurisdiction_name": "<string>",
"risk_level": "low",
"risk_status": "active",
"risk_type": "aml_cft",
"description": "<string>",
"iso_alpha2": "<string>",
"iso_alpha3": "<string>",
"last_reviewed_at": "2023-12-25",
"list_name": "<string>",
"listing_body": "<string>",
"region": "<string>",
"source_collected_at": "2023-11-07T05:31:56Z",
"source_external_id": "<string>",
"source_id": 123,
"source_updated_at": "2023-11-07T05:31:56Z",
"source_url": "<string>",
"valid_from": "2023-12-25",
"valid_to": "2023-12-25"
}
],
"legal_cases": {},
"legal_decisions": {},
"legal_documents": {},
"limitations": [
{
"code": "<string>",
"message": "<string>",
"details": {},
"entity_id": 1
}
],
"metadata": {},
"municipality_border_zones": [
{
"border_zone_class": "twin_city",
"ibge_code": "<string>",
"id": 123,
"municipality_name": "<string>",
"state": "<string>",
"source_collected_at": "2023-11-07T05:31:56Z",
"source_external_id": "<string>",
"source_id": 123,
"source_updated_at": "2023-11-07T05:31:56Z",
"source_url": "<string>"
}
],
"network_peps": [
{
"entity": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"end_date": "2023-12-25",
"institution_name": "<string>",
"pep_degree": 123,
"pep_status": "active",
"pep_type": "elected_official",
"position_title": "<string>",
"start_date": "2023-12-25"
}
],
"official_publications": {},
"ownership": {
"affiliated_organization_ids": [
123
],
"direct_organization_partner_ids": [
123
],
"direct_partner_ids": [
123
],
"direct_person_partner_ids": [
123
],
"extended_network_entity_ids": [
123
],
"ownership_chain_entity_ids": [
123
],
"ownership_network_entity_ids": [
123
],
"terminal_person_ids": [
123
],
"ubo_findings": [
{
"beneficial_owner": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"beneficial_ownership_type": "declared_ubo",
"confidence_level": "high",
"control_type": "ownership",
"identification_reason": "<string>",
"organization": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"status": "confirmed",
"control_chain_depth": 1,
"is_direct": false,
"limitations": [
{
"code": "<string>",
"message": "<string>",
"details": {},
"entity_id": 1
}
],
"ownership_percentage": 50,
"paths": [
{
"depth": 123,
"root_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"target_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
{
"canonical_id": 123,
"label": "Entity"
}
],
"path_id": "",
"truncated": false
}
],
"source": "declared_beneficial_ownership",
"voting_percentage": 50
}
],
"ubo_resolution": {
"fully_resolved": true,
"has_upstream_ownership": true,
"unresolved": [
{
"entity": {
"display_name": "<string>",
"entity_id": 123,
"entity_type": "person"
},
"paths": [
{
"depth": 123,
"root_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"target_node_key": {
"canonical_id": 123,
"label": "Entity"
},
"contains_cycle": false,
"direction": "self",
"edge_keys": [
"<string>"
],
"equivalent_path_count": 1,
"node_keys": [
{
"canonical_id": 123,
"label": "Entity"
}
],
"path_id": "",
"truncated": false
}
]
}
]
}
},
"ownerships": {},
"pep_entity_ids": [
123
],
"personnel_acts": {},
"plan": {
"selected_signal_codes": [
"<string>"
]
},
"political_profiles": {},
"public_offices": {},
"regulatory_registrations": {},
"relationships": {},
"restrictions": {},
"sanctions": {},
"warrants": {},
"watchlist_entries": {},
"watchlist_programs": {}
},
"snapshot_hash": "<string>"
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}Consultar snapshot da análise
Contexto de enriquecimento usado como insumo da análise, mais seu hash. Uso apenas para auditoria/reprodução. O catálogo de fontes (sources_by_id) é omitido. data_freshness é projetado como uma entrada de cobertura por domínio, sem identidade de fonte ou limitações por fonte. data_freshness é dado de auditoria pré-sinal; para ‘bases consultadas sem ocorrências’, use domain_occurrences em GET /analyses/{analysis_uuid}/signals.
Path Parameters
Response
Successful Response
Contexto de enriquecimento usado como insumo da análise (auditoria). Omite sources_by_id. data_freshness traz uma entrada de cobertura por domínio, sem identidade de fonte ou limitações por fonte. data_freshness é dado de auditoria pré-sinal; para 'bases consultadas sem ocorrências', use domain_occurrences em GET /analyses/{analysis_uuid}/signals.
Show child attributes
Show child attributes
Hash do payload do snapshot.

